Subject: bug#36135: installer wifi password prompt

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 08 Jun 2019 22:11:08 +0200

Ludo',

Ludovic Courtès wrote:
> Tobias Geerinckx-Rice <[email-masked]> skribis:
>
>> * gnu/installer/newt/wifi.scm (run-wifi-password-page):
>> Add an #:INPUT-SHOW-CHECKBOX? to the input page.
>
> [...]
>
>> +                  #:input-show-checkbox? #t))
>
> It’s called #:input-hide-checkbox? AFAICS.

Yes.  See the other patches in this ad-hoc ‘series’.

> You can double-check that it builds without warnings with:
>
>   guix system vm -v2 gnu/system/install.scm

Sure, I guess, but could you explain the point of doing so? 
Reproducibility by others?  I don't think patches like these 
should be pushed with such light testing, and I don't see how this 
can be tested in a VM.

Hence the dusty Dell Latitude mentioned earlier ;-)

It smells funny.

> Please add a “Partly fixes …” line.  This fixes both the 
> password length
> and the password visibility issues since ‘run-input-page’ will 
> now use
> FLAG-SCROLL.

Yah, I didn't merge the bugs for that reason, and because I'm 
still trying to fix more bugs (well, mainly waiting for dd while 
doing other stuff, since this can't be tested in a VM…)

Thanks!

T G-R